Subject: bug#20069: 24.4.91; url does not register any auth method

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Tue, 10 Mar 2015 02:15:13 +0100

On Tue, Mar 10 2015, Glenn Morris wrote:

> There are basically zero changes in lisp/url/*.el since Emacs 24.4, so
> this is surprising. Could you give a minimal, complete example starting
> from emacs -Q?

I'm afraid i can't: i ended up in a situation where there were no
registered auth methods, and mistakenly thought that they were not being
registered (i somehow failed to spot the registering calls in
url-do-setup).

So it's not a change in url.el that causes the situation, but something
i do and haven't pinpointed yet: i'll keep an eye and write back with a
recipe.

The other problem with the error message is probably worth fixing, but
of course not a regression.